Bug 144254 - Spurious errors about USB card reader in /var/log/messages
Spurious errors about USB card reader in /var/log/messages
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 07:48 EST by Andy Piper
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:06:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Piper 2005-01-05 07:48:25 EST
Description of problem:
I want to use my Dane-Elec PhotoMate combo USB CF/SM card reader with FC3.

(It is an old-ish device, information available at
http://www.dane-elec.fr/us/, more info at
http://www.itreviews.co.uk/h176-dane-elec-photomate-combo-memory-card-reader-review.htm)

The device is supported in Linux by the sddr09 driver.

It works, however whenever the card reader is plugged in to the USB
port and there are no cards in either slot, the kernel repeatedly
reports messages as follows:

Jan  5 11:49:34 castor kernel: scsi4 : SCSI emulation for USB Mass
Storage devices
Jan  5 11:49:39 castor kernel:   Vendor: eUSB      Model: Compact
Flash     Rev:
Jan  5 11:49:39 castor kernel:   Type:   Direct-Access               
      ANSI SCSI revision: 02
Jan  5 11:49:39 castor kernel: Attached scsi removable disk sde at
scsi4, channel 0, id 0, lun 0
Jan  5 11:49:39 castor kernel:   Vendor: SCM Micr  Model: eUSB
SmartMedia   Rev: 0208
Jan  5 11:49:39 castor kernel:   Type:   Direct-Access               
      ANSI SCSI revision: 00
Jan  5 11:49:39 castor scsi.agent[7616]: disk at
/devices/pci0000:00/0000:00:10.4/usb1/1-6/1-6.2/1-6.2:1.0/host4/target4:0:0/4:0:0:0
Jan  5 11:49:39 castor kernel: sddr09: could not read card info
Jan  5 11:49:39 castor kernel: sddr09: could not read card info
Jan  5 11:49:39 castor kernel: sdf: test WP failed, assume Write Enabled
Jan  5 11:49:39 castor kernel: sdf: assuming drive cache: write through
Jan  5 11:49:39 castor kernel: Attached scsi removable disk sdf at
scsi4, channel 0, id 0, lun 1
Jan  5 11:49:39 castor scsi.agent[7651]: disk at
/devices/pci0000:00/0000:00:10.4/usb1/1-6/1-6.2/1-6.2:1.0/host4/target4:0:0/4:0:0:1
Jan  5 11:49:39 castor kernel: Device not ready.  Make sure there is a
disc in the drive.
Jan  5 11:49:39 castor kernel: Device not ready.  Make sure there is a
disc in the drive.
Jan  5 11:49:40 castor kernel: sddr09: could not read card info
Jan  5 11:49:40 castor kernel: sddr09: could not read card info
Jan  5 11:49:40 castor kernel: sdf: test WP failed, assume Write Enabled
Jan  5 11:49:40 castor kernel: sdf: assuming drive cache: write through
Jan  5 11:49:40 castor kernel: sddr09: could not read card info
Jan  5 11:49:40 castor kernel: sddr09: could not read card info
Jan  5 11:49:40 castor kernel: sdf: test WP failed, assume Write Enabled
Jan  5 11:49:40 castor kernel: sdf: assuming drive cache: write through
Jan  5 11:49:40 castor kernel: sddr09: could not read card info
Jan  5 11:49:40 castor kernel: sddr09: could not read card info
[loop]


Steps to Reproduce:
1. Plug in empty card reader
2. Do not insert CompactFlash or SmartMedia card
3. Monitor /var/log/messages
  
Actual results:
Looped message about no card being present.

Expected results:
Single message about no card - I don't want to fill my system logs
with errors and at the same time I don't want to have a card inserted
at all times, or to have to unplug / plugin my card reader when needed.
Comment 1 Dave Jones 2005-07-15 14:52:08 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:06:52 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.